#ifndef FORM_TOB.H
#define FORM_TOB.H
#include <fstream.h>
#include "Form_ob.h"
class Tablica_obiektow;

class Format_obiektow;

class Format_tablicy_obiektow:public Format_obiektow
{ Tablica_obiektow* tablica_obiektow;
  public:
   Format_tablicy_obiektow()  {}
   ~Format_tablicy_obiektow() {}
   void Zachowaj(ofstream& plik_wy);
   void Odtworz(ifstream& plik_we, Tablica_obiektow* _tablica_obiektow);

   void Zachowaj_nazwe_klasy(ofstream& plik_wy)
    {Zachowaj_naglowek(plik_wy,"Nazwa_klasy", "Tablica_obiektow");}
   void Zachowaj_atrybuty(ofstream& plik_wy) {}
   void Zachowaj_poczatek_tablicy(ofstream& plik_wy)
    {Zachowaj_etykiete(plik_wy,"Tablica_obiektow");
     plik_wy<<endl;}
   void Zachowaj_ID_obiektow(ofstream& plik_wy);
   void Zachowaj_koniec_tablicy(ofstream& plik_wy)
    {Zachowaj_etykiete(plik_wy,"\\Tablica_obiektow");
     plik_wy<<endl;}

   void Zachowaj_kod_klasy(ofstream& plik_wy, int _kod_klasy)
   { char pom[80];
     itoa(_kod_klasy,pom,10);
     Zachowaj_naglowek(plik_wy,"Kod_klasy", pom);
   }

   void Odtworz_atrybuty(ifstream& plik_we) {}
   void Odtworz_poczatek_tablicy(ifstream& plik_we)
   { char znak;
     Odtworz_etykiete(plik_we, "Tablica_obiektow");
     plik_we.get(znak);
   }
   void Odtworz_ID_obiektow(ifstream& plik_we,
			    Tablica_obiektow* _tablica_obiektow);

   void Odtworz_koniec_tablicy(ifstream& plik_we)
   { char znak;
     Odtworz_etykiete(plik_we, "\\Tablica_obiektow");
     plik_we.get(znak);
   }

   int Odtworz_kod_klasy(ifstream& plik_we)
   {if(!Odtworz_etykiete(plik_we,"Kod_klasy"))
    return -1;
   char* Kod_klasy= Odtworz_nazwe(plik_we);
   int kod_klasy=atoi(Kod_klasy);
   delete (Kod_klasy);
   return kod_klasy;
   }

   void Nadaj_obiekt(void* obiekt);
   void Nadaj_tablice_obiektow(Tablica_obiektow* _tablica_obiektow);
   Tablica_obiektow& Podaj_tablice_obiektow ();
};
#endif