#ifndef PDC_OB
#define PDC_OB
#include <fstream.h>
enum Biblioteka {TABLICA_OB,KOLEKCJA,TYTUL,POZYCJA,KLIENT,WYPOZYCZENIE,
      REZERWACJA};

class Tablica_obiektow;

class PDC_Obiekt
{protected:
 int obiekt_ID;
 static int nast_obiekt_ID;
 int Podaj_nast_obiekt_ID() {return ++nast_obiekt_ID;}
 public:
  PDC_Obiekt()  {obiekt_ID=Podaj_nast_obiekt_ID();}
  ~PDC_Obiekt() {}
  int Podaj_obiekt_ID() {return obiekt_ID;}
  virtual int Podaj_kod_klasy() =0;
  void Nadaj_obiekt_ID(int _obiekt_ID) {obiekt_ID=_obiekt_ID;}
  virtual void Zarejestruj_powiazania(Tablica_obiektow* tablica_obiektow);
  void Zarejestruj_w_tablicy(Tablica_obiektow* tablica_obiektow);
  void Zachowaj_wg_tablicy(ofstream& plik_wy,
			    Tablica_obiektow*tablica_obiektow);
  void Odtworz_wg_tablicy(ifstream& plik_we,
			    Tablica_obiektow*tablica_obiektow);
  friend ostream& operator<<(ostream&a,const PDC_Obiekt& b)
   {return a;}
 };
#endif