#include "M_bibl.h"
#include "kol2_2.h"
#include "TKlient5.h"
#include "TWyp1.h"
#include "TRez1.h"

void Wstaw_tytul(char*, char*, char*);
void Zwieksz_zasob(char*,int);
void Zmniejsz_zasob(char*,int);
void Szukaj_wyswietl_zasob(char*);

TKol3<TDane_klienta> Klienci;
TKol3<TTytul> Zasoby;
TKol3<TPozycja> Pozycje;
TKol3<TWypozyczenie> Wypozyczenia;
TKol3<TRezerwacja> Rezerwacje;

void main()
{
  clrscr();
//Odczyt obiektow
   Tablica_obiektow tablica_obiektow;
   Mapa_bibl* mapa_bibl= new Mapa_bibl;
   tablica_obiektow.Nadaj_mape_klas(mapa_bibl);
   tablica_obiektow.Odczytaj("proba1.txt");
   cout<<"Tytuly"<<endl<<Zasoby<<endl;
   cout<<"\nPozycje"<<endl<<Pozycje<<endl;
   tablica_obiektow.Zapisz("proba2.txt");

	Wypozyczenia.Usun_kolekcje();
	Rezerwacje.Usun_kolekcje();
	Pozycje.Usun_kolekcje();
	Klienci.Usun_kolekcje();
	Zasoby.Usun_kolekcje();
	getch();
}

void Wstaw_tytul(char*a, char*b, char*c)
{int indeks;
//wyszukiwanie sekwencyjne z kolekcji TKol1
 if (Zasoby.TKol1<TTytul>::Szukaj(Szukaj_wg_Tytulu,indeks,a)
	 ==NULL)
	{TTytul* Tytul= new TTytul(a,b,c,&Pozycje,&Rezerwacje);
	 if(Tytul)
	if (Zasoby.Zmien(1))
		 Zasoby.Wstaw(Tytul,0);
	else delete Tytul;}
}

void Szukaj_wyswietl_zasob(char*b)
{TTytul*Tytul; int indeks;
 //wyszukiwanie binarne bez powtorzen z kolekcji TKol3
 Tytul=Zasoby.Szukaj(Szukaj_wg_Tytulu,indeks,b);
 if(Tytul)
 cout<<"\nZnaleziono ksiazke: \n"<<*Tytul<<"o indeksie: "<<indeks<<endl;
 else cout<<"\nNie znaleziono ksiazki o tytule "<<b<<endl;
}

void Zwieksz_zasob(char*ctytul,int numer)
{ TTytul* Tytul;
  int ktory;
  if ((Tytul=Zasoby.Szukaj(Szukaj_wg_Tytulu,ktory,ctytul))!=NULL)
   Tytul->Wstaw_pozycje(NULL,numer);
  else cout<<"\nNie znaleziono ksiazki o tytule "<<ctytul<<endl;
}

void Zmniejsz_zasob(char* ctytul, int numer)
{ TTytul* Tytul;
	int ktory;
	if ((Tytul=Zasoby.Szukaj(Szukaj_wg_Tytulu,ktory,ctytul))!=NULL)
	 Tytul->Usun_pozycje(numer);
	else cout<<"\nNie znaleziono ksiazki o tytule "<<ctytul<<endl;
}
